﻿@model ContosoUniversity.Models.ThongtinSuCo
<style>
    /*.modal-content{
        height: 195px;
    }*/
</style>
<div class="modal-dialog">
    <div class="modal-content" style="height: 195px;">
        <div class="modal-header">
            <button type="button" class="close" id="btncloseupload">×</button>
            <h4 class="modal-title" id="upload-avatar-title">Thêm file đính kèm SC-@ViewBag.id</h4>
        </div>
        <div class="modal-body">
            @*<p>Please choose a file to upload. JPG, PNG, GIF only.</p>*@
            @using (Ajax.BeginForm("UploadFile", "ThongtinSuCoes", new { id = @ViewBag.id }, 
                new AjaxOptions { HttpMethod = "POST",
                                    OnSuccess = "OnSuccess",
                                    //OnFailure = "OnFailure",
                                    //LoadingElementId = "progress"
            }, new { enctype = "multipart/form-data", id = "frmUploader" }))
            {
                <div class="form-group">
                    <label for="file">Đính kèm</label>
                    @Html.TextBox("file", "", new { type = "file" })
                    @*<p class="help-block">Files up to 5Mb only.</p>*@
                </div>
                <div style="display:block; float:right">
                    <input type="submit" value="Lưu file" class="btn btn-primary"/>
                    <button type="button" class="btn btn-default" id="btnUploadCancel">Đóng</button>
                </div>
            }
        </div>
    </div>
    <!-- /.modal-content -->
</div>
<!-- /.modal-dialog -->
<script>
    $('#btnUploadCancel').click(function () {
        $('#upload-file').modal('toggle');
    });
    $('#btncloseupload').click(function () {
        $('#upload-file').modal('toggle');
    });
    function OnSuccess(data) {
        debugger;
        if (data.isvalid == true) {
            toastr.success(data.mess);
            $('#upload-file').modal('toggle');

        } else {
            toastr.error(data.mess);
        }
    }
    //function OnFailure(data) {
    //    debugger;
    //    toastr.error(data.mess);
    //} 
</script>
